Name: cvs
Version: 1.11.1p1
Release: gsi2
Source0: cvs-1.11.1p1.tar.gz
Source1: gcvs-patch.tar.gz
Prefix: /usr/local

Summary: A version control system with GSI authentication
Copyright: unknown
Group: Development/Tools
Packager: David Groep <davidg@nikhef.nl>
BuildRoot: /var/tmp/gcvs-%{version}.root
Requires: globus_gss_assist-gcc32dbgpthr_rtl, globus_gssapi_gsi-gcc32dbgpthr_rtl, globus_ssl_utils-gcc32dbgpthr_rtl, globus_openssl-gcc32dbgpthr_rtl
%description
This version of CVS has the Grid Security Infrastructure GSSAPI
enabled. It is not compatible with Krb5.

CVS (Concurrent Version System) is a version control system which can
record the history of your files (usually, but not always, source
code). CVS only stores the differences between versions, instead of
every version of every file you've ever created. CVS also keeps a log
of who, when and why changes occurred.

%prep
%setup -b 1
%setup -n cvs-1.11.1p1
pwd
cp -p ../server.c src/
cp -p ../client.c src/

%build
#! /bin/sh

GLOBUS_LOCATION=/global/globus/globus-2.0-beta1
GLOBUS_LOCATION=/opt/globus


CC=gcc
CFLAGS="-DHAVE_GSSAPI_H -DHAVE_GSI -I$GLOBUS_LOCATION/include/gcc32dbgpthr"
LDFLAGS="-L$GLOBUS_LOCATION/lib -Wl,-rpath /opt/globus/lib"
LIBS="-lglobus_gss_assist_gcc32dbgpthr -lglobus_gssapi_gsi_gcc32dbgpthr -lglobus_ssl_utils_gcc32dbgpthr -lssl_gcc32dbgpthr -lcrypto_gcc32dbgpthr" 

export CC CFLAGS LIBS LDFLAGS

./configure --prefix=/usr/local/gcvs-1.11.1p1 \
	--with-gssapi=$GLOBUS_LOCATION \
	--without-krb4

mv config.h config.h.generated
sed -e 's/^.*HAVE_KERBEROS.*$/#undef HAVE_KERBEROS/' < config.h.generated > config.h

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/gcvs-1.11.1p1

make install prefix=$RPM_BUILD_ROOT/usr/local/gcvs-1.11.1p1

%files
%defattr(-,root,root)
/usr/local/gcvs-1.11.1p1

%clean
rm -rf $RPM_BUILD_ROOT

